現在Tomcat3.2.1とJ2SEでJAVAのプログラムを作成していますが
今度J2EEとTomcat4.0で起動させようとかんがえています。
今時点のTomcatとJ2SEを削除し新たにJ2EEとTomcat4.0をインストール
をし、設定するだけで大丈夫なのでしょうか?この他なにか設定する必要がある
のでしょうか?ちなみにJ2SEからJSEEに変えると今までのプログラムは使えなく
なるということがあるのでしょうか?質疑が多くご迷惑おかけしますが助言お願いします。

A 回答 (1件)

J2SEは消すことはできません。


J2EEは追加パッケージのようなものですのでJ2SEがないと動きません。
例えばjavaコマンドやjavacコマンドはSEに含まれているため、おそらくtomcatの起動すらできないと思います。
また、java.lang,java.ioなどのパッケージはSEに含まれているため、消してしまうとStringですら使えない状況になってしまいます。
厳密に言うと全てのクラスが暗黙的に継承しているjava.Objectも含まれています。
ですのでSEは絶対に消すことはできないと考えてください。
    • good
    • 0

お探しのQ&Aが見つからない時は、教えて!gooで質問しましょう!


人気Q&Aランキング

おすすめ情報

カテゴリ